# Address autocomplete

Fetch enriched address suggestions. Requires a partial address.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/profile-enrichment.read` scope.

## GET

/enrichment/address

### Ask

```shell
curl -X GET "https://api.moov.io/enrichment/address" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

### Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.enrichedAddress.get({
    search: "<value>",
  });

console.log(result);
}

run();
```

### Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\
